/*  ==========================================================================
    Site Global Parts - prefix site-
    ========================================================================== */

.site {
    position: relative;
    z-index: 10;
}

.site--center-vert {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.site--align-bottom {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.site--align-top-bottom {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.site--clearfix {

    &:after {
        content: "";
        display: table;
        clear: both;
    }
}

.hide {
    display: none;
}


/*  ==========================================================================
    Scroll Lock
    ========================================================================== */

/*
    Block
    ========================================================================== */

html.scroll-lock,
.scroll-lock body {
    margin: 0; height: 100%; overflow: hidden; overflow-y: hidden !important;
}

html.scroll-lock {
    overflow-y: scroll !important;
}